Subject: Re: [PATCH 1/3] mpc83xx: Power Management support

From: Scott Wood <[email-masked]>
Date: Wed, 02 Jul 2008 11:38:12 -0500

Kumar Gala wrote:
> If we are going to allocate space for save area like this, can't we do 
> this in C code.  Its less error prone and easier to extend over time.  I 
> know the powermac code does something similar but it places the save 
> area on the stack.

Then we'd have to split it between things that can be saved from C 
versus things that can't (gpregs, cr, lr, etc), or mess around with 
exposing struct offsets to asm code.  I think it's just easier to do it 
this way.

-Scott